### Method

# ICalGLib VcardStrArray find

since: 4.0

#### Declaration [src]

    gsize
    i_cal_vcard_str_array_find (
      ICalVcardStrArray* array,
      const gchar* value
    )

#### Description [src]

Searches for a value in the `array` and returns its first index.

Available since: 4.0

This method is not directly available to language bindings.

#### Parameters

`value`

  Type: `const gchar*`

  The value to search for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gsize`

The index of the value in the `array`, or an index out of bounds, if not found.